%global common_description %{expand:
Curio is a library of building blocks for performing concurrent I/O and common
system programming tasks such as launching subprocesses, working with files,
and farming work out to thread and process pools.  It uses Python coroutines
and the explicit async/await syntax introduced in Python 3.5.  Its programming
model is based on cooperative multitasking and existing programming
abstractions such as threads, sockets, files, subprocesses, locks, and queues.
You'll find it to be small, fast, and fun.  Curio has no third-party
dependencies and does not use the standard asyncio module.  Most users will
probably find it to be a bit too-low level--it's probably best to think of it
as a library for building libraries.  Although you might not use it directly,
many of its ideas have influenced other libraries with similar functionality.}


Name:           python-curio
Version:        1.6
Release:    1%{?dist}
Summary:        Building blocks for performing concurrent I/O
License:        BSD
URL:            https://github.com/dabeaz/curio
Source0:         %{pypi_source curio}
Patch0:          0001-Python-3.12-compatibility.patch
BuildArch:      noarch


%description %{common_description}


%package -n python3-curio
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist pytest}


%description -n python3-curio %{common_description}


%prep
%autosetup -n curio-%{version} -p 1


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files curio


%check
%pytest --verbose -m 'not internet'


%files -n python3-curio -f %{pyproject_files}
%doc README.rst


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6-1
- initial build
